Player = Core.class(Sprite)

--local direction = {}
local directionx = 0
local directiony = 0
local MAX_VELOCITY = 7
local VELOCITY_MODIFIER = 4


function Player:init(startXPos, startYPos)

	self.world = world
	
    --create ball bitmap object from ball graphic
    local PlayerBitmap = Bitmap.new(Texture.new("images/player.png"))
	 self:addChild(PlayerBitmap)
    --reference center of the ball for positioning
    PlayerBitmap:setAnchorPoint(0.5,0.5)
     
	PlayerBitmap:setPosition(0,0)
	self:setPosition(startXPos, startYPos)
	
	local Bbody = self.world:createBody{
		type = b2.DYNAMIC_BODY, 	
		position = {x=self:getX(),y=self:getY()},
		angle = self:getRotation() * math.pi /180,
		fixedRotation=true,
	}
	
--	self.body:setPosition(self.Player:getX(), self.Player:getY())
--  body:setAngle(self.Player:getRotation() * math.pi/180)
	
	local poly = b2.PolygonShape.new();
	
	poly:setAsBox(self:getWidth()/2, self:getHeight()/2)
	
	local fixture = Bbody:createFixture{shape = poly, density = 3.0, friction = 0.3, restitution = 0.1 }
	
	self.body = Bbody
	self.body.type = "Player"
	self.name = "Hamdi"
	
     
   
    --self:addEventListener(Event.ENTER_FRAME, self.onEnterFrame, self)
   return self

	


end


function Player:move(dir)

-- Linear Pulse works while Velocity does not. Why ?

	if( math.abs(self:getVelocity()) < MAX_VELOCITY) then
	--self.body:setLinearVelocity(VELOCITY_MODIFIER * directionx, VELOCITY_MODIFIER*directiony*5)
	self.body:applyLinearImpulse(VELOCITY_MODIFIER * directionx, VELOCITY_MODIFIER*directiony*10, self:getX(), self:getY() - self:getHeight()/2)
	else
	

	end

end

function Player:setDirection(dirx, diry)
	directionx, directiony = dirx, diry
end


function Player:getDirection()
	return directionx, directiony
end

function Player:getVelocity()
print("Lin Vel."..self.body:getLinearVelocity())
return self.body:getLinearVelocity()
end



