Player = Core.class(Sprite)

function Player:init(startXPos, startYPos)

	self.world = world
	
    --create ball bitmap object from ball graphic
    self.Player = Bitmap.new(Texture.new("images/player.png"))
    --reference center of the ball for positioning
    self.Player:setAnchorPoint(0.5,0.5)
     
	self.Player:setPosition(startXPos,startYPos)
     

	self.body = self.world:createBody{
	type = b2.DYNAMIC_BODY, 	
	position = {x=self.Player:getX(),y=self.Player:getY()},
	angle = self.Player:getRotation() * math.pi /180,
	fixedRotation=true,
	}
	
--	self.body:setPosition(self.Player:getX(), self.Player:getY())
--  body:setAngle(self.Player:getRotation() * math.pi/180)
	
	local poly = b2.PolygonShape.new();

	poly:setAsBox(self.Player:getWidth()/2, self.Player:getHeight()/2)

	local fixture = self.body:createFixture{shape = poly, density = 1.0, friction = 0.1, restitution = 0.2}
	
	self.Player.body = self.body
	self.Player.body.type = "Player"
     
    self:addChild(self.Player)
    --self:addEventListener(Event.ENTER_FRAME, self.onEnterFrame, self)
    return self.Player

	


end


function Player:move(dir)

print(dir)
Player.body:applyForce(500 * dir, 0, 0.5,0.5)

end

